Skip to main content
PATCH
/
v0
/
boards
/
{boardId}
Update board
curl --request PATCH \
  --url https://api.formo.so/v0/boards/{boardId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "isPublic": true
}
'
{
  "isSuccess": true,
  "data": {
    "id": "<string>",
    "project_id": "<string>",
    "enabled": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "title": "<string>",
    "description": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Workspace API key (e.g. formo_xxx). Create one in the Formo dashboard under Team Settings > API Keys.

Path Parameters

boardId
string
required

Body

application/json
title
string
description
string
isPublic
boolean

Whether the board is publicly accessible

Response

200 - application/json

Board updated

isSuccess
boolean
data
object